az group create \
   --name dummiesBackup \
   --location NorthEurope

az backup vault create \
    --resource-group dummiesBackup \
    --name dummiesRecoveryServicesVault \
    --location NorthEurope

az backup protection enable-for-vm \
    --resource-group dummiesBackup \
    --vault-name dummiesRecoveryServicesVault \
    --vm $(az vm show -g meinedummiesvm \
              -n dummiesvm \
              --query id | tr -d '"') \
    --policy-name DefaultPolicy

az backup protection backup-now \
    --resource-group dummiesBackup \
    --vault-name dummiesRecoveryServicesVault \
    --container-name dummiesvm \
    --item-name dummiesvm \
    --retain-until 01-02-2021 \
    --backup-management-type AzureIaasVM

az backup job list \
    --resource-group dummiesBackup \
    --vault-name dummiesRecoveryServicesVault \
    --output table

