#============================================================================
#	Datei:		02 - Resourcen Gruppe erstellen.ps1
#
#	Summary:	Dieses Script erzeugt eine Management Gruppe und eine Ressourcengruppe
#
#	Datum:		2021-07-29
#
#   Revisionen: yyyy-dd-mm
#                   - ...
#	Kunde:	    Azure für Dummies
#
#	PowerShell Version: 5.1
#------------------------------------------------------------------------------
#	Geschrieben von 
#       Frank Geisler, GDS Business Intelligence GmbH
#       Dr. Benjamin Kettner, ML!PA Consulting GmbH
#
#   Dieses Script ist nur zu Lehr- bzw. Lernzwecken gedacht
#
#   DIESER CODE UND DIE ENTHALTENEN INFORMATIONEN WERDEN OHNE GEWÄHR JEGLICHER
#   ART ZUR VERFÜGUNG GESTELLT, WEDER AUSDRÜCKLICH NOCH IMPLIZIT, EINSCHLIESSLICH,
#   ABER NICHT BESCHRÄNKT AUF FUNKTIONALITÄT ODER EIGNUNG FÜR EINEN BESTIMMTEN
#   ZWECK. SIE VERWENDEN DEN CODE AUF EIGENE GEFAHR.
#============================================================================*/
az login

az account list --output table

az account set --subscription "<Name der Subscription>"

az account management-group create `
    --name 'MeineManagementGroup' `
    --display-name 'Meine Management Group' `
    --parent 'ParentManagementGroup'

az account management-group list

az account list-locations -o table

az group create `
    --location northeurope `
    --name meineresourcengruppe