#============================================================================
#	Datei:		01 Webanwendungen.ps1
#
#	Summary:	Dieses Script legt eine Webanwendung an
#
#	Datum:		2021-07-29
#
#   Revisionen: yyyy-dd-mm
#                   - ...
#	Kunde:	    Azure für Dummies
#
#	PowerShell Version: 5.1
#------------------------------------------------------------------------------
#	Geschrieben von 
#       Frank Geisler, GDS Business Intelligence GmbH
#       Dr. Benjamin Kettner, ML!PA Consulting GmbH
#
#   Dieses Script ist nur zu Lehr- bzw. Lernzwecken gedacht
#
#   DIESER CODE UND DIE ENTHALTENEN INFORMATIONEN WERDEN OHNE GEWÄHR JEGLICHER
#   ART ZUR VERFÜGUNG GESTELLT, WEDER AUSDRÜCKLICH NOCH IMPLIZIT, EINSCHLIESSLICH,
#   ABER NICHT BESCHRÄNKT AUF FUNKTIONALITÄT ODER EIGNUNG FÜR EINEN BESTIMMTEN
#   ZWECK. SIE VERWENDEN DEN CODE AUF EIGENE GEFAHR.
#============================================================================*/
$tenantId = "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx"

# An Ihrem Tenant anmelden
az login --tenant $tenantId --use-device-code

az group create `
  --location "West Europe" `
  --name "AzureForDummiesWebapps"

az appservice plan create `
  --resource-group "AzureForDummiesWebapps" `
  --name "MeinErsterPlan"

az appservice plan update `
  --resource-group "AzureForDummiesWebapps" `
  --name "MeinErsterPlan" `
  --sku F1

az group create `
  --location "West Europe" `
  --name "AzureForDummiesWebapps2"

az appservice plan create `
  --resource-group "AzureForDummiesWebapps2" `
  --name "MeinErsterLinuxPlan" `
  --is-linux `
  --sku F1

az webapp create `
  --resource-group "AzureForDummiesWebapps" `
  --name "MeineErsteDummiesWebapp" `
  --plan "MeinErsterPlan"

az webapp deployment list-publishing-credentials `
  --name "MeineErsteDummiesWebapp" `
  --resource-group "AzureForDummiesWebapps"

az webapp config appsettings set `
  --name "MeineErsteDummiesWebapp" `
  --resource-group "AzureForDummiesWebapps" `
  --settings MEINE_EINSTELLUNG="ein Wert"

az webapp identity assign `
  --name "MeineErsteDummiesWebapp" `
  --resource-group "AzureForDummiesWebapps"

az webapp auth show `
  --name "MeineErsteDummiesWebapp" `
  --resource-group "AzureForDummiesWebapps"
