#============================================================================
#	Datei:		01-Cognitive.ps1
#
#	Summary:	Dieses Script legt Cognitive Services an
#
#	Datum:		2021-07-29
#
# Revisionen: yyyy-dd-mm
#                   - ...
#	Buch:	    Azure für Dummies
#
#	PowerShell Version: 5.1
#------------------------------------------------------------------------------
#	Geschrieben von 
#       Frank Geisler, GDS Business Intelligence GmbH
#       Dr. Benjamin Kettner, ML!PA Consulting GmbH
#
#   Dieses Script ist nur zu Lehr- bzw. Lernzwecken gedacht
#
#   DIESER CODE UND DIE ENTHALTENEN INFORMATIONEN WERDEN OHNE GEWÄHR JEGLICHER
#   ART ZUR VERFÜGUNG GESTELLT, WEDER AUSDRÜCKLICH NOCH IMPLIZIT, EINSCHLIESSLICH,
#   ABER NICHT BESCHRÄNKT AUF FUNKTIONALITÄT ODER EIGNUNG FÜR EINEN BESTIMMTEN
#   ZWECK. SIE VERWENDEN DEN CODE AUF EIGENE GEFAHR.
#============================================================================*/

$tenantId = "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx"

# An Ihrem Tenant anmelden
az login --tenant $tenantId --use-device-code

az group create `
  --location "West Europe" `
  --name "AzureForDummiesCognitive"

az cognitiveservices account list-kinds

az cognitiveservices account create `
  --kind TextAnalytics `
  --location "West Europe"`
  --name "TextAnalyticsForDummies"`
  --resource-group "AzureForDummiesCognitive" `
  --sku S0 

az cognitiveservices account create `
  --kind ComputerVision `
  --location "West Europe"`
  --name "ComputerVisionForDummies"`
  --resource-group "AzureForDummiesCognitive" `
  --sku F0 

