#============================================================================
#	Datei:		01-BotService.ps1
#
#	Summary:	Dieses Script legt einen Bot an
#
#	Datum:		2021-07-29
#
# Revisionen: yyyy-dd-mm
#                   - ...
#	Kunde:	    Azure für Dummies
#
#	PowerShell Version: 5.1
#------------------------------------------------------------------------------
#	Geschrieben von 
#       Frank Geisler, GDS Business Intelligence GmbH
#       Dr. Benjamin Kettner, ML!PA Consulting GmbH
#
#   Dieses Script ist nur zu Lehr- bzw. Lernzwecken gedacht
#
#   DIESER CODE UND DIE ENTHALTENEN INFORMATIONEN WERDEN OHNE GEWÄHR JEGLICHER
#   ART ZUR VERFÜGUNG GESTELLT, WEDER AUSDRÜCKLICH NOCH IMPLIZIT, EINSCHLIESSLICH,
#   ABER NICHT BESCHRÄNKT AUF FUNKTIONALITÄT ODER EIGNUNG FÜR EINEN BESTIMMTEN
#   ZWECK. SIE VERWENDEN DEN CODE AUF EIGENE GEFAHR.
#============================================================================*/
$tenantId = "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx"

# An Ihrem Tenant anmelden
az login --tenant $tenantId --use-device-code

az group create `
  --location "West Europe" `
  --name "AzureForDummiesBotservice"

az ad app create `
  --display-name "DummiesBot" `
  --password "Pa$$word01" `
  --available-to-other-tenants


az bot create `
  --appid "3fd00eb5-e6f9-43b0-8bb3-e12a5baddf48" `
  --resource-group "AzureForDummiesBotService" `
  --location "West Europe" `
  --kind webapp `
  --name "MyFirstDummiesBot" `
  --echo true `
  --password "Pa$$word01" `
  --lang csharp
